Bug 827170 - Review Request: bbswitch - bbswitch Linux kernel module for Bumblebee
Review Request: bbswitch - bbswitch Linux kernel module for Bumblebee
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-31 15:46 EDT by Gary Gatling
Modified: 2013-10-19 10:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-03 22:43:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gary Gatling 2012-05-31 15:46:29 EDT
Spec URL: http://pastebin.com/RFr7aSA4
SRPM URL: http://install.linux.ncsu.edu/pub/yum/itecs/public/bumblebee/fedora17/SRPMS/bbswitch-0.4.1-1.fc17.src.rpm
Description: bbswitch is a Linux kernel module which automatically detects the required
ACPI calls for two kinds of Optimus laptops. It has been verified to work
with "real" Optimus and "legacy" Optimus laptops.

See: https://github.com/Bumblebee-Project/bbswitch/

For further information.

For now, if you require nvidia module support with bumblebee you must
install bbswitch. In addition, even with nouveau, bbswitch will work
after a suspend whereas vga_switcharoo in the kernel might not. See:
https://github.com/Bumblebee-Project/Bumblebee/wiki/Comparison-of-PM-methods
for further information.



Fedora Account System Username:gsgatlin

This is only the second package I have submitted for review and I need a sponsor.
Comment 1 Gary Gatling 2012-06-01 11:07:04 EDT
Hello,

Thank you for your consideration. I have placed the spec file as it is now at:

http://install.linux.ncsu.edu/pub/yum/itecs/public/bumblebee/fedora17/spec/bbswitch.spec

to make it easier to read.
Comment 2 Robin Lee 2012-06-03 22:43:39 EDT
Fedora doesn't accept external kernel modules.
http://fedoraproject.org/wiki/Packaging/Guidelines#No_External_Kernel_Modules
Comment 3 Luis Medinas 2012-06-16 08:20:58 EDT
maybe this could go to rpmfusion ?

Note You need to log in before you can comment on or make changes to this bug.